Bug 119403 - Operation names are missing from messages on sequence diagrams created via reverse engineering.
Operation names are missing from messages on sequence diagrams created via re...
Status: VERIFIED FIXED
Product: uml
Classification: Unclassified
Component: Reverse Engineering
6.x
PC Windows XP
: P2 (vote)
: 6.x
Assigned To: Kris Richards
issues@uml
: REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-18 19:03 UTC by Sherry Zhou
Modified: 2007-10-24 00:50 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
SQD (18.03 KB, application/octet-stream)
2007-10-18 19:05 UTC, Sherry Zhou
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sherry Zhou 2007-10-18 19:03:48 UTC
beta2 build 200710172300

RE method below and create SQD. Messages are missing. See the attachment

 public void testConditionIf2(){
        Method[] method = getClass().getMethods();
        if ( method != null && method.length > 0){
            System.out.println(method[0].getName());
        }else{
            System.out.println(getClass().getName());
        }
    }
Comment 1 Sherry Zhou 2007-10-18 19:05:06 UTC
Created attachment 51238 [details]
SQD
Comment 2 George Vasick 2007-10-19 21:50:29 UTC
Appears to already be fixed in trunk.  Please verify.  Thanks.
Comment 3 Peter Lam 2007-10-24 00:50:07 UTC
verified in build 20071023-b4116. 
lifeline for variable "length" was created as a representing classifier. will be tracked in a separate issue.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo